Get conversation IDs by author network handle and network

Get the IDs for conversations associated with the specified author by the networkhandle passed in for the specified source network

Details

Returns the IDs for conversations associated with the specified author by the networkhandle passed in for the specified source network. Because handles and user names are not globally unique across a source network, this call can return conversations belonging to multiple, unrelated authors.

Use this for a networktype of "facebook", or "instagram" where there is a single, default instance of the network. If the networktype is "lithium" or "crm", where there can be multiple instances of the network, use:

/authors/networks/networktype/instances/networkinstance/handles/networkhandle/conversations

The call returns new conversations and conversations with specific modifications.

This call returns all conversations associated with the author record passed. This means that if you pass a handle or ID for a Instagram account, for example, you could also retrieve conversations associated with the author that originated on Facebook, or another source network.

Specify the time period with startEpochMillis and endEpochMillis. The maximum range allowed is 24 hours. If the duration specified is more than 24 hours, only 24 hours worth of changed data is returned. If you omit either startEpochMillis or endEpochMillis, the API sets the range so that the call retrieves 24 hours worth of data.

👍

Tip

For best results, use this call for data created after June 30, 2014.

Related endpoints

ActionEndpoint
GET/authors/lswUuid/conversations
Get IDs for conversations associated with the specified author by unique Care author ID for a 24-hour period
GET/authors/networks/{networktype}/ids/{networkid}/conversations
Get IDs for conversations associated with the specified author by source network ID for a 24-hour period
GET/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}/conversations
Get the IDs for conversations associated with the specified author by source network ID for a 24-hour period
GET/authors/networks/{networktype}/instances/{networkinstance}/handles/{networkhandle}/conversations
Get the IDs for conversations associated with the specified author by the networkhandle passed in for the specified instance of a network
Path Params
string
required

The type of network that manages content created by or about an author. Supported values are: "instagram", "facebook", "googleplus", "lithium", "crm"

For a networktype of value "lithium" or "crm" you must also pass the networkinstance, because these types of networks can have multiple instances as opposed to Instagram, Facebook, or Google+ that have only a single, default network.

The Author API supports "instagram", "facebook", "googleplus", "lithium", and "crm" only as values for networktype.

string
required

The external identification for the author, such as a Community or a Instagram handle. This is different than the networkid generated by a network for internal use.

Query Params
int32

The start time of the query period specified as milliseconds since the UNIX Epoch

string

The end of of the query period specified as milliseconds since the UNIX Epoch

Responses

Language
URL
Request
Response
Choose an example:
application/json